<script>
	import { createEventDispatcher } from 'svelte';
	import { add } from './api/pizzas';

	const dispatch = createEventDispatcher();
	let newPizzaName = "";

	const addPizza = async () => {
		const newPizza = await add(newPizzaName);
		newPizzaName = "";
		dispatch("newPizza", newPizza);
	};
</script>

<input type="text" placeholder="Margheritta" bind:value={newPizzaName}/>
<button on:click={addPizza}>Add Pizza</button>

<style>
input {
	text-align: center;
	border-radius: 10%;
}
</style>
